com.fasterxml.jackson.databind.exc

## Class InvalidFormatException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.fasterxml.jackson.core.JsonProcessingException
        - - com.fasterxml.jackson.databind.JsonMappingException
          - - com.fasterxml.jackson.databind.exc.MismatchedInputException
            - - com.fasterxml.jackson.databind.exc.InvalidFormatException

- All Implemented Interfaces:
    Serializable

      public class InvalidFormatException
      extends MismatchedInputException

  Specialized sub-class of `MismatchedInputException` that is used when the underlying problem appears to be that of bad formatting of a value to deserialize.
  Since:
    2.1
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonMappingException

      `JsonMappingException.Reference`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Object` | `_value` Underlying value that could not be deserialized into target type, if available.

    - ### Fields inherited from class com.fasterxml.jackson.databind.exc.MismatchedInputException

      `_targetType`

    - ### Fields inherited from class com.fasterxml.jackson.databind.JsonMappingException

      `_path, _processor`

    - ### Fields inherited from class com.fasterxml.jackson.core.JsonProcessingException

      `_location`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidFormatException(JsonParser p, String msg, Object value, Class<?> targetType)`
    `InvalidFormatException(String msg, JsonLocation loc, Object value, Class<?> targetType)` Deprecated. Since 2.7 Use variant that takes `JsonParser`
    `InvalidFormatException(String msg, Object value, Class<?> targetType)` Deprecated. Since 2.7 Use variant that takes `JsonParser`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InvalidFormatException` | `from(JsonParser p, String msg, Object value, Class<?> targetType)`
    `Object` | `getValue()` Accessor for checking source value (String, Number usually) that could not be deserialized into target type (`MismatchedInputException.getTargetType()`).

    - ### Methods inherited from class com.fasterxml.jackson.databind.exc.MismatchedInputException

      `from, from, from, getTargetType, setTargetType`

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonMappingException

      `_appendPathDesc, _buildMessage, from, from, from, from, from, from, from, fromUnexpectedIOE, getLocalizedMessage, getMessage, getPath, getPathReference, getPathReference, getProcessor, prependPath, prependPath, prependPath, toString, wrapWithPath, wrapWithPath, wrapWithPath`

    - ### Methods inherited from class com.fasterxml.jackson.core.JsonProcessingException

      `clearLocation, getLocation, getMessageSuffix, getOriginalMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _value

          protected final Object _value

      Underlying value that could not be deserialized into target type, if available.

  - ### Constructor Detail

    - #### InvalidFormatException

          @Deprecated
          public InvalidFormatException(String msg,
                                                    Object value,
                                                    Class<?> targetType)

      Deprecated. Since 2.7 Use variant that takes `JsonParser`

    - #### InvalidFormatException

          @Deprecated
          public InvalidFormatException(String msg,
                                                    JsonLocation loc,
                                                    Object value,
                                                    Class<?> targetType)

      Deprecated. Since 2.7 Use variant that takes `JsonParser`

    - #### InvalidFormatException

          public InvalidFormatException(JsonParser p,
                                        String msg,
                                        Object value,
                                        Class<?> targetType)

      Since:
        2.7

  - ### Method Detail

    - #### from

          public static InvalidFormatException from(JsonParser p,
                                                    String msg,
                                                    Object value,
                                                    Class<?> targetType)

    - #### getValue

          public Object getValue()

      Accessor for checking source value (String, Number usually) that could not be deserialized into target type (`MismatchedInputException.getTargetType()`). Note that value may not be available, depending on who throws the exception and when.

Copyright © 2008–2019 FasterXML. All rights reserved.